Public Member Functions

# wxDataViewIndexListModel Class Reference
[wxDataViewCtrl Related Classes]

`#include <wx/dataview.h>`

Inheritance diagram for wxDataViewIndexListModel:
[legend]

## Detailed Description

wxDataViewIndexListModel is a specialized data model which lets you address an item by its position (row) rather than its wxDataViewItem (which you can obtain from this class).

This model also provides its own wxDataViewIndexListModel::Compare method which sorts the model's data by the index.

This model is not a virtual model since the control stores each wxDataViewItem. Use wxDataViewVirtualListModel if you need to display millions of items or have other reason to use a virtual control.

See also:
  wxDataViewListModel for the API.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions
| wxDataViewIndexListModel (unsigned int initial_size=0)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxDataViewIndexListModel::wxDataViewIndexListModel | ( | unsigned int | initial_size = `0` | ) |

Constructor.

|  | [ top ]